var valid = function() {
    return incomeDeviceValid() && incomeEngineerValid() && incomeServiceValid() && costPurchaseDeviceValid() && costPurchaseBuildValid() && costPurchaseServiceValid() && costPurchaseOtherValid() && costProjectManageValid() && costOtherValid() && costExpropriationValid() && costCompanyManageValid()
        && grossProfitValid() && contributionProfitValid() && netProfitValid() && saleIncomeCashValid() && earnestMoneyIncomeValid() && purchaseCostValid() && earnestMoneyCostValid() && financingCapitalInflowValid() && financingCapitalOutflowValid() && financingCapitalCashflowValid();
};

var incomeDeviceValid = function() {
    var settle = $("input[name='incomeDeviceSettleTotal']").val();
    var month = $("input[name='incomeDevice']").val();
    var budget = $("input[name='incomeDeviceBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月收入设备类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("收入设备类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var incomeEngineerValid = function() {
    var settle = $("input[name='incomeEngineerSettleTotal']").val();
    var month = $("input[name='incomeEngineer']").val();
    var budget = $("input[name='incomeEngineerBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月收入工程类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("收入工程类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var incomeServiceValid = function() {
    var settle = $("input[name='incomeServiceSettleTotal']").val();
    var month = $("input[name='incomeService']").val();
    var budget = $("input[name='incomeServiceBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月收入服务类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("收入服务类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costPurchaseDeviceValid = function() {
    var settle = $("input[name='costPurchaseDeviceSettleTotal']").val();
    var month = $("input[name='costPurchaseDevice']").val();
    var budget = $("input[name='costPurchaseDeviceBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月采购成本设备类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("采购成本设备类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costPurchaseBuildValid = function() {
    var settle = $("input[name='costPurchaseBuildSettleTotal']").val();
    var month = $("input[name='costPurchaseBuild']").val();
    var budget = $("input[name='costPurchaseBuildBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月采购成本施工类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("采购成本施工类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costPurchaseServiceValid = function() {
    var settle = $("input[name='costPurchaseServiceSettleTotal']").val();
    var month = $("input[name='costPurchaseService']").val();
    var budget = $("input[name='costPurchaseServiceBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月采购成本服务类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("采购成本服务类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costPurchaseOtherValid = function() {
    var settle = $("input[name='costPurchaseOtherSettleTotal']").val();
    var month = $("input[name='costPurchaseOther']").val();
    var budget = $("input[name='costPurchaseOtherBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月采购成本其他类数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("采购成本其他类结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costProjectManageValid = function() {
    var settle = $("input[name='costProjectManageSettleTotal']").val();
    var month = $("input[name='costProjectManage']").val();
    var salary = $("input[name='salary']").val();
    var budget = $("input[name='costProjectManageBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月项目管理成本数据");
        });
        return false;
    }
    if (parseFloat(salary) > parseFloat(month)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("本月项目管理成本不能低于人力成本");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("项目管理成本结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costOtherValid = function() {
    var settle = $("input[name='costOtherSettleTotal']").val();
    var month = $("input[name='costOther']").val();
    var budget = $("input[name='costOtherBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月其他成本数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("其他成本结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costExpropriationValid = function() {
    var settle = $("input[name='costExpropriationSettleTotal']").val();
    var month = $("input[name='costExpropriation']").val();
    var budget = $("input[name='costExpropriationBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月财务费用数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("财务费用结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var costCompanyManageValid = function() {
    var settle = $("input[name='costCompanyManageSettleTotal']").val();
    var month = $("input[name='costCompanyManage']").val();
    var budget = $("input[name='costCompanyManageBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月公司管理费用数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("公司管理费用结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var grossProfitValid = function() {
    var settle = $("input[name='grossProfitSettleTotal']").val();
    var month = $("input[name='grossProfit']").val();
    var budget = $("input[name='grossProfitBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月项目毛利数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("项目毛利结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var contributionProfitValid = function() {
    var settle = $("input[name='contributionProfitSettleTotal']").val();
    var month = $("input[name='contributionProfit']").val();
    var budget = $("input[name='contributionProfitBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月项目贡献利润数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("项目贡献利润结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var netProfitValid = function() {
    var settle = $("input[name='netProfitSettleTotal']").val();
    var month = $("input[name='netProfit']").val();
    var budget = $("input[name='netProfitBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月项目净利润数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("项目净利润结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var saleIncomeCashValid = function() {
    var settle = $("input[name='saleIncomeCashSettleTotal']").val();
    var month = $("input[name='saleIncomeCash']").val();
    var budget = $("input[name='saleIncomeCashBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月销售商品、提供劳务收到的现金数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("销售商品、提供劳务收到的现金结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var earnestMoneyIncomeValid = function() {
    var settle = $("input[name='earnestMoneyIncomeSettleTotal']").val();
    var month = $("input[name='earnestMoneyIncome']").val();
    var budget = $("input[name='earnestMoneyIncomeBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月收到其他与经营活动有关的现金数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("收到其他与经营活动有关的现金结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var purchaseCostValid = function() {
    var settle = $("input[name='purchaseCostSettleTotal']").val();
    var month = $("input[name='purchaseCost']").val();
    var budget = $("input[name='purchaseCostBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月购买商品、接受劳务支付的现金数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("购买商品、接受劳务支付的现金结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var earnestMoneyCostValid = function() {
    var settle = $("input[name='earnestMoneyCostSettleTotal']").val();
    var month = $("input[name='earnestMoneyCost']").val();
    var budget = $("input[name='earnestMoneyCostBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月支付其他与经营活动有关的现金数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("支付其他与经营活动有关的现金结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var financingCapitalInflowValid = function() {
    var settle = $("input[name='financingCapitalInflowSettleTotal']").val();
    var month = $("input[name='financingCapitalInflow']").val();
    var budget = $("input[name='financingCapitalInflowBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月融资资金流入数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("融资资金流入结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var financingCapitalOutflowValid = function() {
    var settle = $("input[name='financingCapitalOutflowSettleTotal']").val();
    var month = $("input[name='financingCapitalOutflow']").val();
    var budget = $("input[name='financingCapitalOutflowBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月还款资金流出数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("还款资金流出结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

var financingCapitalCashflowValid = function() {
    var settle = $("input[name='financingCapitalCashflowSettleTotal']").val();
    var month = $("input[name='financingCapitalCashflow']").val();
    var budget = $("input[name='financingCapitalCashflowBudgetTotal']").val();
    if (month == "") {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("请填入本月筹资活动产生的现金流量净额数据");
        });
        return false;
    }
    if (parseFloat(settle) > parseFloat(budget)) {
        layui.use('layer', function(){
            var layer = layui.layer;
            layer.alert("筹资活动产生的现金流量净额结算总额不能高于预算总额");
        });
        return false;
    }
    return true;
};

